import db from '../db.js';

class User {
    constructor(ID, username, createdAt, seenAt) {
        this.ID = ID;
        this.username = username;
        this.createdAt = createdAt;
        this.seenAt = seenAt;
    }

    static getOneByID(ID) {
        return db('Users')
            .where('ID', ID)
            .first()
            .then((user) => {
                if (!user)
                    return null;
                return new User(user.ID, user.username, user.createdAt, user.seenAt);
            });
    }
    
    static
}

export default User;